> For the complete documentation index, see [llms.txt](https://docs.arkelectron.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arkelectron.com/products/flight-controller/ark-pi6x-flow/flashing-guide/after-flashing-before-installing.md).

# After Flashing, Before Installing

On the CM4, edit **/boot/config.txt**

On the CM5, edit **/boot/firmware/config.txt**

Comment out the following lines

```
# Automatically load overlays for detected cameras
# camera_auto_detect=1

# Automatically load overlays for detected DSI displays
# display_auto_detect=1
```

Add the following

```
# Turn on uart debug console
enable_uart=1

# General Purpose UART External
dtoverlay=uart3,ctsrts

# Telem2 to FC
dtoverlay=uart4,ctsrts

# Drive FMU_RST_REQ low
gpio=25=op,dl

# Drive USB_OTG_FS_VBUS high to enable FC USB
gpio=27=op,dh

# Drive USB Hub nRESET high. Only on needed on Rev 1.
gpio=26=op,dh

# For pi cam v2, change model for different camera/s
dtoverlay=imx219,cam0
dtoverlay=imx219,cam1

# Fan GPIO
dtoverlay=gpio-fan,gpiopin=19
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arkelectron.com/products/flight-controller/ark-pi6x-flow/flashing-guide/after-flashing-before-installing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
